REMOVEPKG(8)

NAMA
removepkg - menghapus paket Slackware.

SINOPSIS
removepkg namapaket

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] namapaket

DESKRIPSI
removepkg menghapus paket Slackware yang terinstall, sembari menulis laporan kemajuan pada output standar. Sebuah paket bisa ditentukan dengan nama lengkap paket (seperti yang Anda lihat pada /var/log/packages/), atau nama dasar paket. Sebagai contoh, paket foo-1.0-i486-1.tgz bisa dihapus dengan sembarang perintah berikut: removepkg foo-1.0-i486-1.tgz (juga dikenali: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Ketika menghapus file, removepkg akan menganalisa konten dari paket lain yang terinstall pada sistem Anda, dan hanya akan menghapus file yang unik pada paket yang sedang dihapus. Script installasi juga untuk paket lain juga akan diperhatikan ketika menentukan akan menghapus link simbolis dari paket.

Menghapus paket (juga menginstall) bisa berbahaya. Untuk alasan ini, terdapat opsi -warn . Ketika Anda menggunakannya, removepkg tidak akan menghapus file atau link, tetapi menampilkan laporan apa yang akan terjadi jika Anda menghapus paket. Disarankan untuk Anda melakukan ini (dan mengirimkan hasilnya ke less ) sebelum menghapus paket untuk memastikan Anda memback-up apa yang mungkin dirasa penting.

Ketika menghapus paket, file index asli akan dipindahkan dari /var/log/packages ke /var/log/removed_packages. Script installasi juga dipindah dari /var/log/scripts ke /var/log/removed_scripts.

OPSI

-warn namapaket
    Menghasilkan laporan pada output standar tentang file dan direktori yang akan dihapus, tetapi tidak menghapus paket.

-preserve namapaket
    Jika ditentukan, pohon paket direkonstruksi pada /var/log/setup/tmp/preserved_packages/namapaket.

-copy namapaket
    Menghasilkan salinan paket pada /var/log/setup/tmp/preserved_packages/namapaket, tetapi tidak menghapusnya. (seperti -warn -preserve)

-keep
    Menyimpan file yang diciptakan oleh removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Biasanya untuk tujuan debugging

Dimungkinkan untuk menghapus paket dari sistem lain selain / dengan memberikan removepkg variabel lingkungan ROOT:

ROOT=/mnt removepkg paket

PEMBUAT
Patrick J. Volkerding <volkerdi@slackware.com>, dengan penambahan oleh Christian Franke <c.franke@acm.org>

LIHAT JUGA
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)